Inspect

Compact session

Summarize the existing conversation to reduce the context used by subsequent prompts. Laminar-runtime sessions do not support this operation and return 409.

Base URL
POST
/api/public/v1/sessions/{session_id}/compact

Summarize the existing conversation to reduce the context used by subsequent prompts. Laminar-runtime sessions do not support this operation and return 409.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

session_id*string

The unique identifier of the session

Response Body

Session compacted successfully

application/json
  1. response
data*
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/string/compact'
Example Response
{  "data": {    "ok": true  }}